    <div class="login-wrap mt-md-4 ">
        <div class="login-html">
            <div class="login-form">
                <div class="card-body">
                    <form (ngSubmit)="onSubmit()" [formGroup]="userForm">




                        <!--Vérification du username if already exists -->                        
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="text" class="input" placeholder="username" [formControl]="usernameCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="usernameCtl.hasError('required')"> required </small>
                                </div>
                            </div>
                        </div>
                        <!--Create email -->    
                        <div class="group">
                            <div class="input-group-prepend"> 
                            </div>
                            <input type="email" class="input" placeholder="email" [formControl]="emailCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="emailCtl.hasError('required')"> required </small>
                                    <small class="text-warning" *ngIf="emailCtl.hasError('email')"> this must be an email </small>
                                    <small class="text-warning" *ngIf="emailCtl.hasError('emailAlreadyUsed')"> email already exist </small>
                                </div>
                            </div>
                        </div>
                        <!--Create password avec double vérification, contenance caractères spéciaux et numbers -->
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="password" class="input" placeholder="password" [formControl]="passwordCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-0 end-0 translate-end">
                                    <small class="text-warning" *ngIf="passwordCtl.hasError('required')"> require </small>
                                    <small class="text-warning" *ngIf="passwordCtl.hasError('pwdAndUsernameEqual')"> password is equal to username! </small>
                                    <small class="text-warning" *ngIf="passwordCtl.hasError('pwdMustContainNbr')"> password must contains numbers! </small>
                                    <small class="text-warning" *ngIf="passwordCtl.hasError('pwdRegEx')"> Password must contain at least one letter, one number, ... </small>
                                </div>
                            </div>
                        </div>
                        <!-- vérification if password et passwordConfirm sont équals  -->
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="password" class="input" placeholder="password confirm" [formControl]="passwordConfirmCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="passwordConfirmCtl.hasError('pwdNotEqual')"> passwords are not equals </small>
                                </div>
                            </div>
                        </div>
                        <!--Create first_Name -->
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="text" class="input" placeholder="firstname" [formControl]="first_nameCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="first_nameCtl.hasError('required')"> required </small>
                                </div>
                            </div>
                        </div>
                        <!--Create last_Name -->
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="text" class="input" placeholder="lastname" [formControl]="last_nameCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="last_nameCtl.hasError('required')"> required </small>
                                </div>
                            </div>
                        </div>
                        <!--Create adresse_rue -->
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="text" class="input" placeholder="rue" [formControl]="adresse_rueCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="adresse_rueCtl.hasError('required')"> required </small>
                                </div>
                            </div>
                        </div>
                        <!--Create adresse_nbr -->
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="text" class="input" placeholder="numéro" [formControl]="adresse_nbrCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="adresse_nbrCtl.hasError('required')"> required </small>
                                </div>
                            </div>
                        </div>
                        <!--Create adresse_cp -->
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="text" class="input" placeholder="code postal" [formControl]="adresse_cpCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="adresse_cpCtl.hasError('required')"> required </small>
                                </div>
                            </div>
                        </div>
                        <!--Create adresse_ville -->
                        <div class="group">
                            <div class="input-group-prepend">
                            </div>
                            <input type="text" class="input" placeholder="ville" [formControl]="adresse_villeCtl">
                            <div class="position-relative">
                                <div class="position-absolute top-50 end-0 translate-middle">
                                    <small class="text-warning" *ngIf="adresse_villeCtl.hasError('required')"> required </small>
                                </div>
                            </div>
                        </div>
                    </form>

                    <div class="group">
						<input type="submit" value="Enregistrer" class="button" [disabled]="userForm.invalid" (click)="onSubmit()">
					</div>
                </div>
                
            </div>
        </div>
    </div>


